import request from '@/utils/request'

// 查询机构客户信息列表
export function listClients(query) {
  return request({
    url: '/basicData/xcrInstitutionalClients/findByPage',
    method: 'get',
    params: query
  })
}

// 查询机构客户信息详细
export function getClients(xhCodeId) {
  return request({
    url: '/basicData/xcrInstitutionalClients/' + xhCodeId,
    method: 'get'
  })
}

// 新增机构客户信息
export function addClients(data) {
  return request({
    url: '/basicData/xcrInstitutionalClients',
    method: 'post',
    data: data
  })
}

// 修改机构客户信息
export function updateClients(data) {
  return request({
    url: '/basicData/xcrInstitutionalClients',
    method: 'put',
    data: data
  })
}

// 删除机构客户信息
export function delClients(xhCodeId) {
  return request({
    url: '/basicData/xcrInstitutionalClients/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delClientsBatch(ids) {
  return request.post('/basicData/xcrInstitutionalClients/delete',ids)
}
